Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.template
Class TemplateAnalyzer

    java.lang.Object
      org.jboss.portal.format.template.TemplateAnalyzer

All Implemented Interfaces:
  TemplateAnalyzerConstants

    public class TemplateAnalyzer

extends java.lang.Object
implements TemplateAnalyzerConstants

Author:
  Julien Viet

Field Summary
`Token` | `jj_nt`
`Token` | `token`
`TemplateAnalyzerTokenManager` | `token_source`

Fields inherited from interface org.jboss.portal.format.template.TemplateAnalyzerConstants
`BEGIN, DEFAULT, END, EOF, LITTERAL, NEWLINE, PROPERTY, REF, TEXT, tokenImage`

Constructor Summary
`TemplateAnalyzer(java.io.InputStream stream)`
`TemplateAnalyzer(java.io.Reader stream)`
`TemplateAnalyzer(TemplateAnalyzerTokenManager tm)`

Method Summary
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `ReInit(TemplateAnalyzerTokenManager tm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public TemplateAnalyzerTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### TemplateAnalyzer

    public TemplateAnalyzer(java.io.InputStream stream)

### TemplateAnalyzer

    public TemplateAnalyzer(java.io.Reader stream)

### TemplateAnalyzer

    public TemplateAnalyzer(TemplateAnalyzerTokenManager tm)

Method Detail

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(TemplateAnalyzerTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD